The URLVariables class allows you to transfer variables between an application and a server. Use URLVariables objects with methods of the URLLoader class, with the `data` property of the URLRequest class, and with flash.net package functions.

### Hierarchy

- Object
  - URLVariables

## Index

### Constructors

- constructor

### Properties

- Object
- constructor

### Methods

- decode
- toString
- getOwnPropertyDescriptors
- hasOwnProperty
- isPrototypeOf
- propertyIsEnumerable
- toLocaleString
- toString
- valueOf

## Constructors

### constructor

- new URLVariables(source?: string): URLVariables

- - Defined in lib/openfl/net/URLVariables.d.ts:10

  Creates a new URLVariables object. You pass URLVariables objects to the `data` property of URLRequest objects.

  If you call the URLVariables constructor with a string, the `decode()` method is automatically called to convert the string to properties of the URLVariables object.

  #### Parameters

  - ##### Optional source: string

    A URL-encoded string containing name/value pairs.

  #### Returns URLVariables

## Properties

### Static Object

Object: ObjectConstructor

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:245

Provides functionality common to all JavaScript objects.

### Static constructor

constructor: Function

Inherited from Object.constructor

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:100

The initial value of Object.prototype.constructor is the standard built-in Object constructor.

## Methods

### decode

- decode(source: string): void

- - Defined in lib/openfl/net/URLVariables.d.ts:37

  Converts the variable string to properties of the specified URLVariables object.

  This method is used internally by the URLVariables events. Most users do not need to call this method directly.

  throws

    Error The source parameter must be a URL-encoded query string containing name/value pairs.

  #### Parameters

  - ##### source: string

    A URL-encoded query string containing name/value pairs.

  #### Returns void

### toString

- toString(): string

- - Defined in lib/openfl/net/URLVariables.d.ts:46

  Returns a string containing all enumerable variables, in the MIME content encoding application/x-www-form-urlencoded.

  #### Returns string

  A URL-encoded string containing name/value pairs.

### Static getOwnPropertyDescriptors

- getOwnPropertyDescriptors(object: any): PropertyDescriptorMap

- Inherited from Object.getOwnPropertyDescriptors

  - Defined in node_modules/@types/core-js/index.d.ts:64

  #### Parameters

  - ##### object: any

  #### Returns PropertyDescriptorMap

### Static hasOwnProperty

- hasOwnProperty(v: string): boolean

- Inherited from Object.hasOwnProperty

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:115

  Determines whether an object has a property with the specified name.

  #### Parameters

  - ##### v: string

    A property name.

  #### Returns boolean

### Static isPrototypeOf

- isPrototypeOf(v: Object): boolean

- Inherited from Object.isPrototypeOf

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:121

  Determines whether an object exists in another object's prototype chain.

  #### Parameters

  - ##### v: Object

    Another object whose prototype chain is to be checked.

  #### Returns boolean

### Static propertyIsEnumerable

- propertyIsEnumerable(v: string): boolean

- Inherited from Object.propertyIsEnumerable

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:127

  Determines whether a specified property is enumerable.

  #### Parameters

  - ##### v: string

    A property name.

  #### Returns boolean

### Static toLocaleString

- toLocaleString(): string

- Inherited from Object.toLocaleString

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:106

  Returns a date converted to a string using the current locale.

  #### Returns string

### Static toString

- toString(): string

- Inherited from Object.toString

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:103

  Returns a string representation of an object.

  #### Returns string

### Static valueOf

- valueOf(): Object

- Inherited from Object.valueOf

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:109

  Returns the primitive value of the specified object.

  #### Returns Object

Generated using TypeDoc